org.keycloak.adapters.tomcat

## Class CatalinaHttpFacade

- java.lang.Object
- - org.keycloak.adapters.tomcat.CatalinaHttpFacade

- All Implemented Interfaces:
    HttpFacade

      public class CatalinaHttpFacade
      extends Object
      implements HttpFacade

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `CatalinaHttpFacade.RequestFacade`
    `protected class` | `CatalinaHttpFacade.ResponseFacade`

    - ### Nested classes/interfaces inherited from interface org.keycloak.adapters.HttpFacade

      `HttpFacade.Cookie, HttpFacade.Request, HttpFacade.Response`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MultivaluedHashMap<String,String>` | `queryParameters`
    `protected org.apache.catalina.connector.Request` | `request`
    `protected CatalinaHttpFacade.RequestFacade` | `requestFacade`
    `protected javax.servlet.http.HttpServletResponse` | `response`
    `protected CatalinaHttpFacade.ResponseFacade` | `responseFacade`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatalinaHttpFacade(org.apache.catalina.connector.Request request, javax.servlet.http.HttpServletResponse response)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509Certificate[]` | `getCertificateChain()`
    `HttpFacade.Request` | `getRequest()`
    `HttpFacade.Response` | `getResponse()`
    `KeycloakSecurityContext` | `getSecurityContext()`
    `boolean` | `isEnded()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### request

          protected org.apache.catalina.connector.Request request

    - #### response

          protected javax.servlet.http.HttpServletResponse response

    - #### requestFacade

          protected CatalinaHttpFacade.RequestFacade requestFacade

    - #### responseFacade

          protected CatalinaHttpFacade.ResponseFacade responseFacade

    - #### queryParameters

          protected MultivaluedHashMap<String,String> queryParameters

  - ### Constructor Detail

    - #### CatalinaHttpFacade

          public CatalinaHttpFacade(org.apache.catalina.connector.Request request,
                            javax.servlet.http.HttpServletResponse response)

  - ### Method Detail

    - #### getRequest

          public HttpFacade.Request getRequest()

      Specified by:
        `getRequest` in interface `HttpFacade`

    - #### getResponse

          public HttpFacade.Response getResponse()

      Specified by:
        `getResponse` in interface `HttpFacade`

    - #### getSecurityContext

          public KeycloakSecurityContext getSecurityContext()

      Specified by:
        `getSecurityContext` in interface `HttpFacade`

    - #### getCertificateChain

          public X509Certificate[] getCertificateChain()

      Specified by:
        `getCertificateChain` in interface `HttpFacade`

    - #### isEnded

          public boolean isEnded()

Copyright © 2015. All Rights Reserved.